namespace Bases.InheritanceChain;

public class TypePattern
{
    public static void MightUseAsDerived(Base b)
    {
        if (b is Derived d)
        {
            // ... tutaj możemy zrobić coś ze zmienną d
        }
    }
}
